Bug 481056 - Review Request: squeak-vm - a Smalltalk interpreter
Review Request: squeak-vm - a Smalltalk interpreter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 17:26 EST by Gavin Romig-Koch
Modified: 2010-06-18 12:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 14:43:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tuxbrewr: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Gavin Romig-Koch 2009-01-21 17:26:35 EST
This is my first package and I need a sponsor.

Spec URL: http://squeak-fedora.googlecode.com/files/squeak-vm.spec
SRPM URL: http://squeak-fedora.googlecode.com/files/squeak-vm-3.10.4-3.fc10.src.rpm
Description: 
Squeak is a full-featured implementation of the Smalltalk programming
language and environment based on (and largely compatible with) the original
Smalltalk-80 system.
Comment 1 Gavin Romig-Koch 2009-01-21 17:39:11 EST
I've run rpmlint on the spec file, the SRPM, and the i386 and x86_64 rpms, no errors, these are the only warnings:

squeak-vm.i386: W: dangling-relative-symlink /usr/lib/squeak/3.10-4/SqueakV3.sources ../../../..//usr/share/squeak/SqueakV3.sources
squeak-vm.i386: W: dangling-relative-symlink /usr/lib/squeak/3.10-4/SqueakV39.sources ../../../..//usr/share/squeak/SqueakV39.sources

     These links point to files in the squeak-image package, to be submitted for review as soon as I finish this review.  These files are arch independent, as is all of squeak-image, except that for historical reasons squeak-image requires these packages to be in this arch dependent (under /usr/lib/) place.  rpmlint, rightfully, doesn't like arch dependent files in a noarch package, so putting the files in an arch independent place (under /usr/share) in squeak-image, and haveing links to them from /usr/lib (or /usr/lib64) in squeak-vm (which is arch dependent).


squeak-vm-nonXOplugins.i386: W: no-documentation
     This is a sub-package that is dependent on it's super-package and the super-package has doc.


squeak-vm-nonXOplugins.i386: W: executable-stack /usr/lib/squeak/3.10-4/SqueakFFIPrims
      Yes, it does have an executable-stack, it must.
Comment 2 Gavin Romig-Koch 2009-01-21 18:26:18 EST
I've sent a note about this package (and related packages) to fedora-packaging, subject "Squeak and Etoys packages". 

BZ481066 is related to this.
Comment 3 Gavin Romig-Koch 2009-01-21 18:30:47 EST
BZ481064 is also related.
Comment 4 Peter Lemenkov 2009-01-23 06:20:09 EST
BTW there was a closed ticket with attempt to submit this package already. I thought there are some license issues - are they resolved (if any).
Comment 5 Gavin Romig-Koch 2009-01-23 16:06:19 EST
(In reply to comment #4)
> BTW there was a closed ticket with attempt to submit this package already. I
> thought there are some license issues - are they resolved (if any).

Yes, there were licensing issues, they have been resolved.
Comment 6 Šimon Lukašík 2009-01-24 04:46:20 EST
I added FE-NEEDSPONSOR blocker tag, as Gavin said he need a sponsor.
Comment 7 Gavin Romig-Koch 2009-02-18 09:50:30 EST
(In reply to comment #6)
> I added FE-NEEDSPONSOR blocker tag, as Gavin said he need a sponsor.

Woops!  I misunderstood the instructions in PackageMaintainers/Join.  While this is the first package I've submitted to Fedora for review, I am already a member of the 'packagers' group because I'm an upstream maintainer for some packages, so I don't need to be sponsored again.
Comment 8 Steven M. Parrish 2009-02-18 18:50:23 EST
MUST: rpmlint must be run on every package. The output should be posted in the
review.

Symlink warnings but OK based on explanation

- MUST: The package must be named according to the Package Naming Guidelines .

OK.

- MUST: The spec file name must match the base package %{name}, in the format 
%{name}.spec unless your package has an exemption on Package Naming Guidelines
.

OK.

- MUST: The package must meet the Packaging Guidelines .

Ok.

- MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .

OK.

- MUST: The License field in the package spec file must match the actual
license.

Ok

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

OK.

- MUST: The spec file must be written in American English.

OK.

- MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).

OK.

- MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

OK.

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

OK.

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next
to the corresponding ExcludeArch line. New packages will not have bugzilla
entries during the review process, so they should put this description in the
comment until the package is approved, then file the bugzilla entry, and
replace the long explanation with the bug number. The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc ,
FE-ExcludeArch-ppc64

OK.

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

OK.

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

OK.

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


OK

- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

NA.

- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

OK.

- MUST: A package must not contain any duplicate files in the %files listing.

OK.

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

OK.

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} ( or $RPM_BUILD_ROOT ).

OK.

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines .

OK.

- MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines .

OK.

- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

NA.

- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

OK.

- MUST: Header files must be in a -devel package.

NA.

- MUST: Static libraries must be in a -static package.

NA.

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).

NA.

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.

NA.

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}

NA.

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.

OK.

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
the Packaging Guidelines . If you feel that your packaged GUI application does
not need a .desktop file, you must put a comment in the spec file with your
explanation.

OK.

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.

OK.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.

OK.

- MUST: All filenames in rpm packages must be valid UTF-8.

OK.


Approved
Comment 9 Gavin Romig-Koch 2009-02-19 14:52:38 EST
New Package CVS Request
=======================
Package Name: squeak-vm
Short Description: Squeak is an implementation of the Smalltalk
Owners: gavin
Branches: F-9 F-10
InitialCC: gavin
Comment 10 Kevin Fenzi 2009-02-20 15:29:49 EST
cvs done.
Comment 11 Peter Lemenkov 2009-04-19 01:33:06 EDT
Ping. What's the status of this ticket? Why squeak-vm was not rebuilt?
Comment 12 Gavin Romig-Koch 2009-04-20 12:11:24 EDT
(In reply to comment #11)
> Ping. What's the status of this ticket? Why squeak-vm was not rebuilt?  

This package was built, and is now part of rawhide.  Was there some need to rebuild it again that I missed or was unaware of?

As far as status of this ticket: the package was approved, checked into cvs, and built into rawhide; but I don't know what if anything should happen with this ticket.  I don't see any directions for this in the wiki.

If I've made a mistake here I apologise.  Please let me know what needs doing and I'll get it done.
Comment 13 Peter Lemenkov 2009-04-20 14:18:20 EDT
Yes, maybe squeak-vm was built for devel - I don't watch the status of packages in Rawhide. But there are branches for F-9 and F-10, and the package still not built for these branches. For example, at F-10 we got the following:

[petro@host-12-116 ~]$ yum info squeak-vm --enablerepo updates-testing
Loaded plugins: fastestmirror
Error: No matching Packages to list
[petro@host-12-116 ~]$

You should build packages for these branches and push them into updates-testing/updates using Bodhi.
Comment 14 Gavin Romig-Koch 2009-04-30 16:51:34 EDT
I have built, tested, and pushed this package into Bodhi for both f10 and f9.   Please test, comment, and karma++/-- as appropriate.
Comment 15 Peter Robinson 2010-06-10 16:13:38 EDT
Package Change Request
======================
Package Name: squeak-vm
New Branches: EL-6
Owners: pbrobinson sdz
Comment 16 Kevin Fenzi 2010-06-11 00:42:13 EDT
Have you checked with gavin to see if they would like to maintain in epel?

Note You need to log in before you can comment on or make changes to this bug.